<?php
/*
Plugin Name: FriendFeed Api Core
Version: 0.1
Plugin URI: http://sudarmuthu.com/wordpress/friendfeed-api-core
Description: Does little else but load the core FriendFeed API library for any Plugin that wants to utilize it. Go to <a href="options-general.php?page=friendfeed-api-core">Options&rarr;FriendFeed API Core</a> for more details.
Author: Sudar
Author URI: http://sudarmuthu.com/
*/

define('SMWPFFDIR', dirname(__FILE__) . '/');                
define('SMWPFFINC', SMWPFFDIR . 'friendfeed-api/');   


/**
 * Stores whether friendfeed.inc has already been loaded by another extension.
 */
$friendfeed_loaded = null;

/**
 * What is the FriendFeed_version for the version that we're loading?
 */
$friendfeed_version = "0.9.1";

/**
 * Ensure that the FriendFeed class hasn't been loaded before trying to load it again.
 */
if (!class_exists('FriendFeed')) {
	require_once(SMWPFFINC . "friendfeed.php");
} else {
	$friendfeed_loaded = true;
}

/**
 * Draw normal options page.
 */
function FriendFeed_core_options_page() {
	global $friendfeed_loaded;

	if ($friendfeed_loaded)	{
		if (version_compare(FriendFeed::VERSION, $friendfeed_version) > -1) {
			echo '<div id="message" class="updated fade">Another extension has already loaded the FriendFeed API, but it\'s loading a version that is the same or newer than what we\'re trying to load. It would be better, however, if that extension loaded this version of the FriendFeed API instead. Contact the author of the conflicting plugin, and let them know about this plugin.</div>';
		} else {
			echo '<div id="message" class="updated fade">Another extension has already loaded an older version of the FriendFeed API, so to avoid conflicts we will not load our version. This means that you don\'t have the latest version of FriendFeed available to your extensions. Contact the author of the conflicting plugin, and let them know about this plugin.</div>';
		}
	}
?>

<div style="margin:50px auto; text-align:center;">
	<h3>FriendFeed core API library, version <?php echo FriendFeed::VERSION; ?></h3>
	<p>Version <?php echo FriendFeed::VERSION; ?> is available to your other extentions. Read more details about <a href="http://code.google.com/p/friendfeed-api/">FriendFeed API</a>.</p>
</div>

<?php
}

/**
 * Add menu item to Options menu.
 */
function FriendFeed_core_options() {
	if (function_exists('add_options_page')) {
		add_options_page('FriendFeed Core', 'FriendFeed Core', 8, 'friendfeed-api-core', 'FriendFeed_core_options_page');
	}
}

/**
 * Trigger the adding of the menu option.
 */
add_action('admin_menu', 'FriendFeed_core_options');
?>
